> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tessie.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Battery Health

> Returns the battery health of all vehicles.



## OpenAPI

````yaml get /battery_health
openapi: 3.0.0
info:
  title: Tessie API
  version: 1.0.0
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  description: The Tesla management platform.
  contact:
    name: Tessie
    url: https://tessie.com
    email: support@tessie.com
  x-logo:
    url: ''
  termsOfService: https://tessie.com/terms
servers:
  - url: https://api.tessie.com
security:
  - bearerAuth: []
tags:
  - name: Driver Management
    description: Driver management endpoints
  - name: Telemetry Configuration
    description: Vehicle telemetry configuration endpoints
  - name: Vehicle Commands
    description: Vehicle command endpoints
  - name: Vehicle Data
    description: Vehicle data endpoints
paths:
  /battery_health:
    parameters: []
    get:
      tags:
        - Vehicle Data
      summary: Get Battery Health
      description: Returns the battery health of all vehicles.
      operationId: get-battery-health
      parameters:
        - $ref: '#/components/parameters/from'
        - $ref: '#/components/parameters/to'
        - $ref: '#/components/parameters/distance_format'
        - $ref: '#/components/parameters/only_active'
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                x-examples:
                  Example 1:
                    results:
                      - vin: 5YJXCAE43LF219631
                        plate: null
                        odometer: 16380.9
                        max_range: 303.48
                        max_ideal_range: 1196
                        capacity: 96.7
                        original_capacity: 97.15
                        degradation_percent: 0.5
                        health_percent: 99.5
                      - vin: LRW3F7EK6NC496312
                        plate: null
                        odometer: 6008.62
                        max_range: 353.31
                        max_ideal_range: 353.31
                        capacity: 77.56
                        original_capacity: null
                        degradation_percent: null
                        health_percent: null
                      - vin: 5YJSA7E27FF106027
                        plate: null
                        odometer: 52794.7
                        max_range: 319.13
                        max_ideal_range: 255.31
                        capacity: 75.99
                        original_capacity: null
                        degradation_percent: null
                        health_percent: null
                      - vin: 7SAXCBE6XPF383426
                        plate: null
                        odometer: 2656.61
                        max_range: 309.61
                        max_ideal_range: 309.61
                        capacity: 95.67
                        original_capacity: 96.15
                        degradation_percent: 0.5
                        health_percent: 99.5
                      - vin: 5YJ3E1EA2JF014099
                        plate: null
                        odometer: 20125.4
                        max_range: 309.1
                        max_ideal_range: 309.1
                        capacity: 77.31
                        original_capacity: null
                        degradation_percent: null
                        health_percent: null
                      - vin: XP7YGCEK6PB065973
                        plate: null
                        odometer: 9735.12
                        max_range: 324.33
                        max_ideal_range: 324.33
                        capacity: 77.65
                        original_capacity: null
                        degradation_percent: null
                        health_percent: null
                      - vin: 5YJXCDE29HF059245
                        plate: null
                        odometer: 20498.7
                        max_range: 281.37
                        max_ideal_range: 352.5
                        capacity: 93.38
                        original_capacity: 97.27
                        degradation_percent: 4
                        health_percent: 96
                properties:
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        vin:
                          type: string
                        plate:
                          type: string
                          nullable: true
                        odometer:
                          type: number
                        max_range:
                          type: number
                        max_ideal_range:
                          type: number
                        capacity:
                          type: number
                        original_capacity:
                          type: number
                        degradation_percent:
                          type: number
                        health_percent:
                          type: number
              examples:
                Example 1:
                  value:
                    results:
                      - vin: 5YJXCAE43LF123456
                        plate: VT782CE
                        odometer: 16380.9
                        max_range: 303.48
                        max_ideal_range: 1196
                        capacity: 96.7
                        original_capacity: 97.15
                        degradation_percent: 0.5
                        health_percent: 99.5
          description: Success
components:
  parameters:
    from:
      name: from
      description: The start of the timeframe. Unix timestamp in seconds.
      schema:
        type: number
      in: query
      required: false
      allowEmptyValue: false
      deprecated: false
      example: 1643747642
      x-last-modified: 1643747658888
    to:
      name: to
      description: The end of the timeframe. Unix timestamp in seconds.
      schema:
        type: number
      in: query
      required: false
      allowEmptyValue: false
      deprecated: false
      example: 1643747642
      x-last-modified: 1643747664858
    distance_format:
      name: distance_format
      in: query
      required: false
      schema:
        type: string
        default: mi
        enum:
          - mi
          - km
      description: Whether to return data in miles or kilometers.
    only_active:
      name: only_active
      in: query
      schema:
        type: boolean
        default: false
        example: true
      description: Whether to include only active vehicles in the response.
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````